Skip to main content
PUT
cURL

Path Parameters

caId
string<uuid>
required

The ID of the CA to import the cross-signed certificate for.

Body

application/json
certificate
string
required

The PEM-encoded cross-signed certificate: the CA's certificate signed by the old CA as a CA certificate. It must have the same subject, public key, and subject key identifier as the CA.

Required string length: 1 - 100000
certificateChain
string
required

The PEM-encoded certificates of the old CA, in order: start with the CA that signed the cross-signed certificate and end with its root. When the old root signed it directly, this is the old root's certificate.

Maximum string length: 500000

Response

Default Response

crossSignedCertificate
object
required